Bug 1448514

Summary: pyjokes: python2-pyjokes requires both Python 2 and Python 3
Product: [Fedora] Fedora Reporter: Iryna Shcherbina <ishcherb>
Component: pyjokesAssignee: Paul Whalen <pwhalen>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: pbrobinson, pwhalen
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: pyjokes-0.5.0-3.fc26 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-07-07 22:54:29 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1285816    

Description Iryna Shcherbina 2017-05-05 15:47:53 UTC
The python2-pyjokes RPM requires both Python 2 and Python 3.

$ dnf --enablerepo=rawhide repoquery --requires python2-pyjokes
/usr/bin/python3
python(abi) = 2.7

Except in very special circumstances, there is no need for one package
to drag in both Python stacks. Usually, this is a packaging error, in this
case a Python 3 built executable is installed in a Python 2 subpackage.

According to the Packaging Guidelines [0], if the executable should generate 
the same output regardless of whether it is built with Python 2 or Python 3, 
then only the Python 3 version of the executable should be packaged. 
I believe this is the case for `/usr/bin/pyjoke`, so please install it only 
in the Python 3 subpackage. There is a section on `%install` in the 
Python RPM Porting Guide [1] which covers this issue. 

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 25 as well.


If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here.

[0] https://fedoraproject.org/wiki/Packaging:Python#Avoiding_collisions_between_the_python_2_and_python_3_stacks
[1] http://python-rpm-porting.readthedocs.io/en/latest/application-modules.html#install

Comment 1 Fedora Update System 2017-05-11 15:08:17 UTC
pyjokes-0.5.0-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-eb1ff4415e

Comment 2 Fedora Update System 2017-05-13 01:11:57 UTC
pyjokes-0.5.0-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-eb1ff4415e

Comment 3 Fedora Update System 2017-07-07 22:54:29 UTC
pyjokes-0.5.0-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.